#ifndef _EMU_DETACH_H
#define _EMU_DETACH_H

#include "emu_defs.h"

#define MAX_DETACH_HANDLERS  8

EXTERN Boolean own_console INIT(TRUE);

typedef struct {
  void (* detach)(void);
  void (* attach)(void);
} vc_handler_t;

extern void vc_register_handler(vc_handler_t info);
extern void vc_detach(void);
extern void vc_attach(void);

#endif /* _EMU_DETACH_H */
